@charset "utf-8";

/* --------------------------------------------

	research

---------------------------------------------- */

section.inner__contents {
    max-width: 1200px;
}

section.inner__contents h3 {
    padding: 1.2rem 2rem;
    margin-bottom: 4rem;
    text-align: center;
    color: var(--c-purple);
    font-size: var(--fz-xl);
    font-weight: var(--fw-bold);
    border-top: solid 1px #5a5da1;
    border-bottom: solid 1px #5a5da1;
}

/* ---------- アコーディオン ---------- */

.accordion__toggle {
    position: relative;
    width: 100%;
    margin: 6rem auto 0;
    padding: 1.2rem 2.5rem;
    text-align: center;
    background-color: rgba(90, 93, 161, 0.2);
    cursor: pointer;
    user-select: none;
}

.accordion__toggle.is-active .c-arrow-bottom {
    transform: rotate(180deg);
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    -o-transform: rotate(180deg);
}

.accordion__contents {
    display: none;
    margin-top: 6rem;
}

/* 研究プロジェクトの紹介 */
.project__item:not(:last-of-type) {
    margin-bottom: 6rem;
}

.project__item dt {
    width: 20%;
    padding: 0.7rem 2rem 0.5rem;
    margin-bottom: 2rem;
    align-self: center;
    text-align: center;
    color: var(--c-white);
    font-weight: var(--fw-bold);
    background-color: var(--c-purple);
}

.project__item dd,
.project__item li,
.papers__item dt,
.tools__list dt {
    position: relative;
    padding-left: 2.5rem;
    line-height: 2.2;
}

.project__item dd::before,
.project__item li::before ,
.papers__item dt::before,
.tools__list dt::before {
    content: "";
    position: absolute;
    top: 1em;
    left: 5px;
    transform: translateY(-50%);
    width: 8px;
    height: 8px;
    background-color: var(--c-purple);
}

.project__item dd a,
.project__item li a,
.papers__item dt a,
.tools__list dd a {
    text-decoration: underline;
    transition: 0.4s;
}

@media (hover:hover) {
    .project__item dd a:hover,
    .project__item li a:hover,
    .papers__item dt a:hover,
    .tools__list dd a:hover {
        opacity: 0.7;
        transition: 0.4s;
    }
}

/* 論文の紹介 */
.papers__contents > p {
    margin-bottom: 3rem;
}

.papers__item {
    margin-bottom: 2rem;
    font-size: var(--fz-l);
    word-break: break-all;
    overflow-wrap: anywhere;
}

.papers__item:last-of-type {
    margin-bottom: 0;
}

.papers__source {
    font-style: italic;
}

.papers__item dd {
    padding-left: 2.5rem;
}

.papers__item dd.publication__ja {
    padding: 0.5rem 1.5rem;
    margin: 0.5rem 0 0 2.5rem;
    font-size: var(--fz-m);
    border: solid 1px rgba(90, 93, 161, 0.2);
}

.papers__item dd.publication__ja p {
    margin-bottom: 0.8rem;
}

.papers__item dd.publication__ja p:last-of-type {
    margin-bottom: 0;
}

.papers__item dd.publication__ja img {
    max-width: 500px;
    margin-right: 1rem;
    vertical-align: top;
}

/* 研究ツール */
.tools__list dd {
    margin-bottom: 2rem;
}

.tools__list dd:last-of-type {
    margin-bottom: 0;
}

.tools__list dd {
    padding-left: 2.5rem;
}

.tools__list dd a {
    word-break: break-all;
    overflow-wrap: anywhere;
}

@media only screen and (max-width:640px) {
    section.inner__contents {
        width: 90%;
        padding-bottom: 8rem;
    }

    section.inner__contents h3 {
        margin-bottom: 3rem;
    }

    /* 研究プロジェクトの紹介 */
    .project__item dt {
        display: inline-block;
        width: auto;
        padding: 0.7rem 2.5rem 0.5rem;
        margin-bottom: 2rem;
        align-self: center;
        text-align: center;
        color: var(--c-white);
        font-weight: var(--fw-bold);
        background-color: var(--c-purple);
    }

    .project__item dd,
    .project__item li,
    .papers__item dt,
    .tools__list dt {
        margin-bottom: 0.8rem;
        line-height: 2.0;
    }

    .project__item dd::before,
    .project__item li::before,
    .papers__item dt::before,
    .tools__list dt::before {
        width: 16px;
        height: 16px;
    }

    .project__item dd:last-of-type,
    .project__item li:last-of-type {
        margin-bottom: 0;
    }

    .papers__item dd {
        margin-bottom: 0.8rem;
    }

    .papers__item dd.publication__ja img {
        margin-right: 0;
        margin-bottom: 1rem;
    }

    .papers__item dd.publication__ja img:last-of-type {
        margin-bottom: 0;
    }

    /* ---------- アコーディオン ---------- */

    .accordion__toggle {
        width: 100%;
    }

    .accordion__contents {
        margin-top: 3rem;
    }
}